rm(list=ls())
N<- 400
load("Gamma.N400coverage_mod_gamma.rda")


######True Gamma
source("TrueGamma_mod_gamma.R")


ls()
Gamma0.hat<- Gamma0.hat.cum
Gamma1.hat<- Gamma1.hat.cum
ll0<- Gamma0.hat.cum - c*se.Gamma0.cum
ll1<- Gamma1.hat.cum - c*se.Gamma1.cum
ul0<- Gamma0.hat.cum + c*se.Gamma0.cum
ul1<- Gamma1.hat.cum + c*se.Gamma1.cum
rm(Gamma0.hat.cum, Gamma1.hat.cum, se.Gamma0.cum, se.Gamma1.cum)

## N=100
##### Gamma0
Gamma0.a0.0<- apply(Gamma0.hat[,seq(0, 13*99, 13)+1], 1, mean)
Gamma0.a0.5<- apply(Gamma0.hat[,seq(0, 13*99, 13)+6], 1, mean)
Gamma0.a1.0<- apply(Gamma0.hat[,seq(0, 13*99, 13)+11], 1, mean)
Gamma0.a2.0<- apply(Gamma0.hat[,seq(0, 13*99, 13)+12], 1, mean)


ll0.N400.a0.0<- ll0[,seq(0, 13*99, 13)+1]
ll0.N400.a0.5<- ll0[,seq(0, 13*99, 13)+6]
ll0.N400.a1.0<- ll0[,seq(0, 13*99, 13)+11]
ll0.N400.a2.0<- ll0[,seq(0, 13*99, 13)+12]

ul0.N400.a0.0<- ul0[,seq(0, 13*99, 13)+1]
ul0.N400.a0.5<- ul0[,seq(0, 13*99, 13)+6]
ul0.N400.a1.0<- ul0[,seq(0, 13*99, 13)+11]
ul0.N400.a2.0<- ul0[,seq(0, 13*99, 13)+12]

##### Gamma1
Gamma1.a0.0<- apply(Gamma1.hat[,seq(0, 13*99, 13)+1], 1, mean)
Gamma1.a0.5<- apply(Gamma1.hat[,seq(0, 13*99, 13)+6], 1, mean)
Gamma1.a1.0<- apply(Gamma1.hat[,seq(0, 13*99, 13)+11], 1, mean)
Gamma1.a2.0<- apply(Gamma1.hat[,seq(0, 13*99, 13)+12], 1, mean)

ll1.N400.a0.0<- ll1[,seq(0, 13*99, 13)+1]
ll1.N400.a0.5<- ll1[,seq(0, 13*99, 13)+6]
ll1.N400.a1.0<- ll1[,seq(0, 13*99, 13)+11]
ll1.N400.a2.0<- ll1[,seq(0, 13*99, 13)+12]

ul1.N400.a0.0<- ul1[,seq(0, 13*99, 13)+1]
ul1.N400.a0.5<- ul1[,seq(0, 13*99, 13)+6]
ul1.N400.a1.0<- ul1[,seq(0, 13*99, 13)+11]
ul1.N400.a2.0<- ul1[,seq(0, 13*99, 13)+12]


inc0.a0.0<- I(I(ll0.N400.a0.0<=Gamma0True)+I(ul0.N400.a0.0>=Gamma0True)>1)
inc0.a0.5<- I(I(ll0.N400.a0.5<=Gamma0True)+I(ul0.N400.a0.5>=Gamma0True)>1)
inc0.a1.0<- I(I(ll0.N400.a1.0<=Gamma0True)+I(ul0.N400.a1.0>=Gamma0True)>1)
inc0.a2.0<- I(I(ll0.N400.a2.0<=Gamma0True)+I(ul0.N400.a2.0>=Gamma0True)>1)

inc1.a0.0<- I(I(ll1.N400.a0.0<=Gamma1True)+I(ul1.N400.a0.0>=Gamma1True)>1)
inc1.a0.5<- I(I(ll1.N400.a0.5<=Gamma1True)+I(ul1.N400.a0.5>=Gamma1True)>1)
inc1.a1.0<- I(I(ll1.N400.a1.0<=Gamma1True)+I(ul1.N400.a1.0>=Gamma1True)>1)
inc1.a2.0<- I(I(ll1.N400.a2.0<=Gamma1True)+I(ul1.N400.a2.0>=Gamma1True)>1)

prop.inc0.N400.a0.0<- apply(inc0.a0.0, 1, sum)/100
prop.inc0.N400.a0.5<- apply(inc0.a0.5, 1, sum)/100
prop.inc0.N400.a1.0<- apply(inc0.a1.0, 1, sum)/100
prop.inc0.N400.a2.0<- apply(inc0.a2.0, 1, sum)/100

prop.inc1.N400.a0.0<- apply(inc1.a0.0, 1, sum)/100
prop.inc1.N400.a0.5<- apply(inc1.a0.5, 1, sum)/100
prop.inc1.N400.a1.0<- apply(inc1.a1.0, 1, sum)/100
prop.inc1.N400.a2.0<- apply(inc1.a2.0, 1, sum)/100

#--------------------------------------------------------------------#
#            Plotting of Gamma                                       #
#--------------------------------------------------------------------#

#############PLOTTING ######################################################

pdf(file =paste("Coverage_N", N, "_z", c,"_mod_gamma.pdf", sep='') , wid=9, hei=4.50)

#####Plotting of Gamma0 (for given a)
par(mfrow=c(1,2))
yrange<- range(Gamma0True, Gamma0.a0.0) 
mult<- 1/max(abs(yrange))
plot(kk,  mult*Gamma0True, ylim=c(-1, 1), type='l', col=1, lty=1, lwd=1, ylab='', xlab='s',
     main=expression(paste(tilde(gamma)[0], '(.)', sep='')), sub=' log(a)=0.0', cex.main=1)
points(kk, mult*Gamma0.a0.0, type='l', col=2, lty=2)
points(kk, prop.inc0.N400.a0.0, type='l', col=3)
abline(h=c(0.5, 0.95), lty=2)
legend(0, -0.5, c("True", "Estimate", "%Coverage"),
       col=c(1, 2, 3), lty=c(1,2,1), lwd=c(1,1,1), cex=0.8)

yrange<- range(Gamma1True, Gamma1.a0.0) 
mult<- 1/max(abs(yrange))
plot(kk,  mult*Gamma1True, ylim=c(-1, 1), type='l', col=1, lty=1, lwd=1, ylab='', xlab='s',
     main=expression(paste(tilde(gamma)[1], '(.)', sep='')), sub=' log(a)=0.0', cex.main=1)
points(kk, mult*Gamma1.a0.0, type='l', col=2, lty=2)
points(kk, prop.inc1.N400.a0.0, type='l', col=3)
abline(h=c(0.5, 0.95), lty=2)
legend(0, -0.5, c("True", "Estimate", "%Coverage"),
       col=c(1, 2, 3), lty=c(1,2,1), lwd=c(1,1,1), cex=0.8)



par(mfrow=c(1,2))
yrange<- range(Gamma0True, Gamma0.a0.5) 
mult<- 1/max(abs(yrange))
plot(kk,  mult*Gamma0True, ylim=c(-1, 1), type='l', col=1, lty=1, lwd=1, ylab='', xlab='s',
     main=expression(paste(tilde(gamma)[0], '(.)', sep='')), sub=' log(a)=0.5', cex.main=1)
points(kk, mult*Gamma0.a0.5, type='l', col=2, lty=2)
points(kk, prop.inc0.N400.a0.5, type='l', col=3)
abline(h=c(0.5, 0.95), lty=2)
legend(0, -0.5, c("True", "Estimate", "%Coverage"),
       col=c(1, 2, 3), lty=c(1,2,1), lwd=c(1,1,1), cex=0.8)

yrange<- range(Gamma1True, Gamma1.a0.5) 
mult<- 1/max(abs(yrange))
plot(kk,  mult*Gamma1True, ylim=c(-1, 1), type='l', col=1, lty=1, lwd=1, ylab='', xlab='s',
     main=expression(paste(tilde(gamma)[1], '(.)', sep='')), sub=' log(a)=0.5', cex.main=1)
points(kk, mult*Gamma1.a0.5, type='l', col=2, lty=2)
points(kk, prop.inc1.N400.a0.5, type='l', col=3)
abline(h=c(0.5, 0.95), lty=2)
legend(0, -0.5, c("True", "Estimate", "%Coverage"),
       col=c(1, 2, 3), lty=c(1,2,1), lwd=c(1,1,1), cex=0.8)



par(mfrow=c(1,2))
yrange<- range(Gamma0True, Gamma0.a1.0) 
mult<- 1/max(abs(yrange))
plot(kk,  mult*Gamma0True, ylim=c(-1, 1), type='l', col=1, lty=1, lwd=1, ylab='', xlab='s',
     main=expression(paste(tilde(gamma)[0], '(.)', sep='')), sub=' log(a)=1.0', cex.main=1)
points(kk, mult*Gamma0.a1.0, type='l', col=2, lty=2)
points(kk, prop.inc0.N400.a1.0, type='l', col=3)
abline(h=c(0.5, 0.95), lty=2)
legend(0, -1.0, c("True", "Estimate", "%Coverage"),
       col=c(1, 2, 3), lty=c(1,2,1), lwd=c(1,1,1), cex=0.8)

yrange<- range(Gamma1True, Gamma1.a1.0) 
mult<- 1/max(abs(yrange))
plot(kk,  mult*Gamma1True, ylim=c(-1, 1), type='l', col=1, lty=1, lwd=1, ylab='', xlab='s',
     main=expression(paste(tilde(gamma)[1], '(.)', sep='')), sub=' log(a)=1.0', cex.main=1)
points(kk, mult*Gamma1.a1.0, type='l', col=2, lty=2)
points(kk, prop.inc1.N400.a1.0, type='l', col=3)
abline(h=c(0.5, 0.95), lty=2)
legend(0, -1.0, c("True", "Estimate", "%Coverage"),
       col=c(1, 2, 3), lty=c(1,2,1), lwd=c(1,1,1), cex=0.8)




par(mfrow=c(1,2))
yrange<- range(Gamma0True, Gamma0.a2.0) 
mult<- 1/max(abs(yrange))
plot(kk,  mult*Gamma0True, ylim=c(-1, 1), type='l', col=1, lty=1, lwd=1, ylab='', xlab='s',
     main=expression(paste(tilde(gamma)[0], '(.)', sep='')), sub=' log(a)=2.0', cex.main=1)
points(kk, mult*Gamma0.a2.0, type='l', col=2, lty=2)
points(kk, prop.inc0.N400.a2.0, type='l', col=3)
abline(h=c(0.5, 0.95), lty=2)
legend(0, -2.0, c("True", "Estimate", "%Coverage"),
       col=c(1, 2, 3), lty=c(1,2,1), lwd=c(1,1,1), cex=0.8)

yrange<- range(Gamma1True, Gamma1.a2.0) 
mult<- 1/max(abs(yrange))
plot(kk,  mult*Gamma1True, ylim=c(-1, 1), type='l', col=1, lty=1, lwd=1, ylab='', xlab='s',
     main=expression(paste(tilde(gamma)[1], '(.)', sep='')), sub=' log(a)=2.0', cex.main=1)
points(kk, mult*Gamma1.a2.0, type='l', col=2, lty=2)
points(kk, prop.inc1.N400.a2.0, type='l', col=3)
abline(h=c(0.5, 0.95), lty=2)
legend(0, -2.0, c("True", "Estimate", "%Coverage"),
       col=c(1, 2, 3), lty=c(1,2,1), lwd=c(1,1,1), cex=0.8)


dev.off()

save(prop.inc0.N400.a0.0, prop.inc1.N400.a0.0, ll0.N400.a0.0, ul0.N400.a0.0, ll1.N400.a0.0,  ul1.N400.a0.0, 
     prop.inc0.N400.a0.5, prop.inc1.N400.a0.5, ll0.N400.a0.5, ul0.N400.a0.5, ll1.N400.a0.5,  ul1.N400.a0.5, 
     prop.inc0.N400.a1.0, prop.inc1.N400.a1.0, ll0.N400.a1.0, ul0.N400.a1.0, ll1.N400.a1.0,  ul1.N400.a1.0,
     prop.inc0.N400.a2.0, prop.inc1.N400.a2.0, ll0.N400.a2.0, ul0.N400.a2.0, ll1.N400.a2.0,  ul1.N400.a2.0,
     Gamma0True, Gamma1True, kk, file='N400covrg_mod_gamma.rda')





