rm(list=ls())

load("Gamma.N100.rda")
AIC.100<- apply(AIC, 2, mean)
LogLik.100<- apply(LogLik, 2, mean)
MSE.Y.100<- apply(MSE.Y, 2, mean)/100
MSE0.100<- apply(MSE0, 2, mean)/100
MSE1.100<- apply(MSE1, 2, mean)/100
Gamma0.hat.100<- Gamma0.hat.cum
Gamma1.hat.100<- Gamma1.hat.cum
rm(AIC, LogLik, MSE.Y, MSE0, MSE1, Gamma0.hat.cum, Gamma1.hat.cum)

load("Gamma.N200.rda")
AIC.200<- apply(AIC, 2, mean)
LogLik.200<- apply(LogLik, 2, mean)
MSE.Y.200<- apply(MSE.Y, 2, mean)/200
MSE0.200<- apply(MSE0, 2, mean)/100
MSE1.200<- apply(MSE1, 2, mean)/100
Gamma0.hat.200<- Gamma0.hat.cum
Gamma1.hat.200<- Gamma1.hat.cum
rm(AIC, LogLik, MSE.Y, MSE0, MSE1, Gamma0.hat.cum, Gamma1.hat.cum)

load("Gamma.N200.rda")
AIC.400<- apply(AIC, 2, mean)
LogLik.400<- apply(LogLik, 2, mean)
MSE.Y.400<- apply(MSE.Y, 2, mean)/400
MSE0.400<- apply(MSE0, 2, mean)/100
MSE1.400<- apply(MSE1, 2, mean)/100
Gamma0.hat.400<- Gamma0.hat.cum
Gamma1.hat.400<- Gamma1.hat.cum
rm(AIC, LogLik, MSE.Y, MSE0, MSE1, Gamma0.hat.cum, Gamma1.hat.cum)

pdf(file="Simulation_Summary.pdf", wid=9, hei=6.25)
par(mfrow=c(2,2))
a<- seq(0, 2, .25)
yrange=range(AIC.100, AIC.200, AIC.400)
plot(a, AIC.100, type='o', ylim=yrange, col=1, main='AIC')
points(a, AIC.200, type='o', col=2)
points(a, AIC.400, type='o', col=3)
legend('bottomright', c("N=100", "N=200", "N=400"),
       col=c(1,2,3), lty=c(1,1,1))

yrange=range(LogLik.100, LogLik.200, LogLik.400)
plot(a, LogLik.100, type='o', ylim=yrange, col=1, main='Log-Likelihood')
points(a, LogLik.200, type='o', col=2)
#points(a, LogLik.400, type='o', col=3)

yrange=range(MSE.Y.100, MSE.Y.200, MSE.Y.400)
plot(a, MSE.Y.100, type='o', ylim=yrange, col=1, main='MSE.Y')
points(a, MSE.Y.200, type='o', col=2)
#points(a, MSE.Y.400, type='o', col=3)

yrange=range(MSE0.100, MSE0.200, MSE0.400)
plot(a, MSE0.100, type='o', ylim=yrange, col=1, main='MSE-Gamma0')
points(a, MSE0.200, type='o', col=2)
#points(a, MSE0.400, type='o', col=3)

yrange=range(MSE1.100, MSE1.200, MSE1.400)
plot(a, MSE1.100, type='o', ylim=yrange, col=1, main='MSE-Gamma1')
points(a, MSE1.200, type='o', col=2)
#points(a, MSE1.400, type='o', col=3)
dev.off()

#--------------------------------------------------------------------#
#            Plotting of Gamma                                       #
#--------------------------------------------------------------------#
## N=100
##### Gamma0
Gamma0.100.a0.00<- apply(Gamma0.hat.100[,seq(0, 9*99, 9)+1], 1, mean)
Gamma0.100.a0.25<- apply(Gamma0.hat.100[,seq(0, 9*99, 9)+2], 1, mean)
Gamma0.100.a0.50<- apply(Gamma0.hat.100[,seq(0, 9*99, 9)+3], 1, mean)
Gamma0.100.a0.75<- apply(Gamma0.hat.100[,seq(0, 9*99, 9)+4], 1, mean)
Gamma0.100.a1.00<- apply(Gamma0.hat.100[,seq(0, 9*99, 9)+5], 1, mean)
Gamma0.100.a1.25<- apply(Gamma0.hat.100[,seq(0, 9*99, 9)+6], 1, mean)
Gamma0.100.a1.50<- apply(Gamma0.hat.100[,seq(0, 9*99, 9)+7], 1, mean)
Gamma0.100.a1.75<- apply(Gamma0.hat.100[,seq(0, 9*99, 9)+8], 1, mean)
Gamma0.100.a2.00<- apply(Gamma0.hat.100[,seq(0, 9*99, 9)+9], 1, mean)


##### Gamma1
Gamma1.100.a0.00<- apply(Gamma1.hat.100[,seq(0, 9*99, 9)+1], 1, mean)
Gamma1.100.a0.25<- apply(Gamma1.hat.100[,seq(0, 9*99, 9)+2], 1, mean)
Gamma1.100.a0.50<- apply(Gamma1.hat.100[,seq(0, 9*99, 9)+3], 1, mean)
Gamma1.100.a0.75<- apply(Gamma1.hat.100[,seq(0, 9*99, 9)+4], 1, mean)
Gamma1.100.a1.00<- apply(Gamma1.hat.100[,seq(0, 9*99, 9)+5], 1, mean)
Gamma1.100.a1.25<- apply(Gamma1.hat.100[,seq(0, 9*99, 9)+6], 1, mean)
Gamma1.100.a1.50<- apply(Gamma1.hat.100[,seq(0, 9*99, 9)+7], 1, mean)
Gamma1.100.a1.75<- apply(Gamma1.hat.100[,seq(0, 9*99, 9)+8], 1, mean)
Gamma1.100.a2.00<- apply(Gamma1.hat.100[,seq(0, 9*99, 9)+9], 1, mean)


## N=200
##### Gamma0
Gamma0.200.a0.00<- apply(Gamma0.hat.200[,seq(0, 9*99, 9)+1], 1, mean)
Gamma0.200.a0.25<- apply(Gamma0.hat.200[,seq(0, 9*99, 9)+2], 1, mean)
Gamma0.200.a0.50<- apply(Gamma0.hat.200[,seq(0, 9*99, 9)+3], 1, mean)
Gamma0.200.a0.75<- apply(Gamma0.hat.200[,seq(0, 9*99, 9)+4], 1, mean)
Gamma0.200.a1.00<- apply(Gamma0.hat.200[,seq(0, 9*99, 9)+5], 1, mean)
Gamma0.200.a1.25<- apply(Gamma0.hat.200[,seq(0, 9*99, 9)+6], 1, mean)
Gamma0.200.a1.50<- apply(Gamma0.hat.200[,seq(0, 9*99, 9)+7], 1, mean)
Gamma0.200.a1.75<- apply(Gamma0.hat.200[,seq(0, 9*99, 9)+8], 1, mean)
Gamma0.200.a2.00<- apply(Gamma0.hat.200[,seq(0, 9*99, 9)+9], 1, mean)


##### Gamma1
Gamma1.200.a0.00<- apply(Gamma1.hat.200[,seq(0, 9*99, 9)+1], 1, mean)
Gamma1.200.a0.25<- apply(Gamma1.hat.200[,seq(0, 9*99, 9)+2], 1, mean)
Gamma1.200.a0.50<- apply(Gamma1.hat.200[,seq(0, 9*99, 9)+3], 1, mean)
Gamma1.200.a0.75<- apply(Gamma1.hat.200[,seq(0, 9*99, 9)+4], 1, mean)
Gamma1.200.a1.00<- apply(Gamma1.hat.200[,seq(0, 9*99, 9)+5], 1, mean)
Gamma1.200.a1.25<- apply(Gamma1.hat.200[,seq(0, 9*99, 9)+6], 1, mean)
Gamma1.200.a1.50<- apply(Gamma1.hat.200[,seq(0, 9*99, 9)+7], 1, mean)
Gamma1.200.a1.75<- apply(Gamma1.hat.200[,seq(0, 9*99, 9)+8], 1, mean)
Gamma1.200.a2.00<- apply(Gamma1.hat.200[,seq(0, 9*99, 9)+9], 1, mean)


## N=400
##### Gamma0
Gamma0.400.a0.00<- apply(Gamma0.hat.400[,seq(0, 9*99, 9)+1], 1, mean)
Gamma0.400.a0.25<- apply(Gamma0.hat.400[,seq(0, 9*99, 9)+2], 1, mean)
Gamma0.400.a0.50<- apply(Gamma0.hat.400[,seq(0, 9*99, 9)+3], 1, mean)
Gamma0.400.a0.75<- apply(Gamma0.hat.400[,seq(0, 9*99, 9)+4], 1, mean)
Gamma0.400.a1.00<- apply(Gamma0.hat.400[,seq(0, 9*99, 9)+5], 1, mean)
Gamma0.400.a1.25<- apply(Gamma0.hat.400[,seq(0, 9*99, 9)+6], 1, mean)
Gamma0.400.a1.50<- apply(Gamma0.hat.400[,seq(0, 9*99, 9)+7], 1, mean)
Gamma0.400.a1.75<- apply(Gamma0.hat.400[,seq(0, 9*99, 9)+8], 1, mean)
Gamma0.400.a2.00<- apply(Gamma0.hat.400[,seq(0, 9*99, 9)+9], 1, mean)


##### Gamma1
Gamma1.400.a0.00<- apply(Gamma1.hat.400[,seq(0, 9*99, 9)+1], 1, mean)
Gamma1.400.a0.25<- apply(Gamma1.hat.400[,seq(0, 9*99, 9)+2], 1, mean)
Gamma1.400.a0.50<- apply(Gamma1.hat.400[,seq(0, 9*99, 9)+3], 1, mean)
Gamma1.400.a0.75<- apply(Gamma1.hat.400[,seq(0, 9*99, 9)+4], 1, mean)
Gamma1.400.a1.00<- apply(Gamma1.hat.400[,seq(0, 9*99, 9)+5], 1, mean)
Gamma1.400.a1.25<- apply(Gamma1.hat.400[,seq(0, 9*99, 9)+6], 1, mean)
Gamma1.400.a1.50<- apply(Gamma1.hat.400[,seq(0, 9*99, 9)+7], 1, mean)
Gamma1.400.a1.75<- apply(Gamma1.hat.400[,seq(0, 9*99, 9)+8], 1, mean)
Gamma1.400.a2.00<- apply(Gamma1.hat.400[,seq(0, 9*99, 9)+9], 1, mean)


######True Gamma
K<- 100
kk = (1:K)/K 
d=K-1
Q_mat = matrix(0,nrow=K, ncol=d)
for (r in 1:d)
{    Q_mat[,r] = exp(-2500*(kk-r/K)^2)
}
Q_mat1 = matrix(0,nrow=K, ncol=d)
for (r in 1:d)
{    Q_mat1[,r] = exp(-1000*(kk-r/K)^2)
}

#Q1<- cbind(Q_mat[,round(0.15*K)], Q_mat[,round(0.30*K)], 
#           Q_mat[,round(0.70*K)], Q_mat[,round(0.80*K)], Q_mat[,round(0.90*K)], 
#           Q_mat[,round(0.05*K)])

Q1<- cbind(Q_mat[,round(0.05*K)], Q_mat1[,round(0.15*K)], 
           exp(-1000*(kk-round(0.30*K)/K)^2), exp(-1000*(kk-round(0.70*K)/K)^2), 
           exp(-1000*(kk-round(0.80*K)/K)^2), exp(-1000*(kk-round(0.90*K)/K)^2),  
            Q_mat[,round(0.95*K)])

Gamma0True = 0.2*exp(-500*(kk-round(0.15*K)/K)^2)  - 0.15*exp(-250*(kk-round(0.50*K)/K)^2) + 
             0.15*exp(-500*(kk-round(0.80*K)/K)^2)

Gamma1True = 0.2*exp(-500*(kk-round(0.30*K)/K)^2)- 0.2*Q_mat1[,round(0.70*K)]

pdf(file = "lessinf2.pdf", wid=9, hei=11)
par(mfrow=c(3,2))
par(mar=c(5,4,4,5)+.1)

#-----Plotting of Gamma0 & Gamma1
yrange0<- range(Gamma0True, Gamma0.100.a0.00) 
plot(kk, Gamma0True, ylab=expression(paste(gamma[0], '(s)', sep='')), xlab='s',
     ylim=yrange0, main='True function', type='l', col=1)
matplot(kk,Q1/6, type='l', add=T, col=1, lty=2)
#abline(h=0)
legend('bottomleft', c("True", "Prior information"), col=1, lty=c(1,2))

yrange1<- range(Gamma1True, Gamma1.100.a0.00) 
plot(kk, Gamma1True, ylab=expression(paste(gamma[1], '(s)', sep='')), xlab='s',
     ylim=yrange1, main='True function', type='l', col=1)
matplot(kk,Q1/5, type='l', add=T, col=1, lty=2)
#abline(h=0)
legend('bottomleft', c("True", "Prior information"), col=1, lty=c(1,2))

#-----a=0.00
plot(kk, Gamma0True, ylab=expression(paste(gamma[0], '(s)', sep='')), xlab='s',
     ylim=yrange0, main=expression(paste('Estimated function [', phi[a], '=1,', phi[b], '=', '1 (Ridge estimate)]', sep='')), type='l', col=1)
points(kk, Gamma0.100.a0.00, type='l', col=2)
points(kk, Gamma0.200.a0.00, type='l', col=3)
#abline(h=0)
legend('bottomleft', c("True", "Estimate(N=100)", "Estimate(N=200)"), col=c(1,2,3), lty=c(1,1,1))

plot(kk, Gamma1True, ylab=expression(paste(gamma[1], '(s)', sep='')), xlab='s',
     ylim=yrange1, main=expression(paste('Estimated function [', phi[a], '=1,', phi[b], '=', '1 (Ridge estimate)]', sep='')), type='l', col=1)
points(kk, Gamma1.100.a0.00, type='l', col=2)
points(kk, Gamma1.200.a0.00, type='l', col=3)
#abline(h=0)
legend('bottomleft', c("True", "Estimate(N=100)", "Estimate(N=200)"), col=c(1,2,3), lty=c(1,1,1))

#-----a=0.75
plot(kk, Gamma0True, ylab=expression(paste(gamma[0], '(s)', sep='')), xlab='s',
     ylim=yrange0, main=expression(paste('Estimated function [', phi[a], '=10' ^'0.75', ', ', phi[b], '=1]', sep='')), type='l', col=1)
points(kk, Gamma0.100.a0.75, type='l', col=2)
points(kk, Gamma0.200.a0.75, type='l', col=3)
#abline(h=0)
legend('bottomleft', c("True", "Estimate(N=100)", "Estimate(N=200)"), col=c(1,2,3), lty=c(1,1,1))

plot(kk, Gamma1True, ylab=expression(paste(gamma[1], '(s)', sep='')), xlab='s',
     ylim=yrange1, main=expression(paste('Estimated function [', phi[a], '=10' ^'0.75', ', ', phi[b], '=1]', sep='')), type='l', col=1)
points(kk, Gamma1.100.a0.75, type='l', col=2)
points(kk, Gamma1.200.a0.75, type='l', col=3)
#abline(h=0)
legend('bottomleft', c("True", "Estimate(N=100)", "Estimate(N=200)"), col=c(1,2,3), lty=c(1,1,1))

dev.off()

#-----a=0.50
#par(mfrow=c(1,2))
yrange<- range(Gamma0True, Gamma0.100.a0.50) 
plot(kk, Gamma0True, ylim=yrange, main="Gamma0(a=0.50)", type='l', col=1)
points(kk, Gamma0.100.a0.50, type='l', col=2)
points(kk, Gamma0.200.a0.50, type='l', col=3)
points(kk, Gamma0.400.a0.50, type='l', col=4)
matplot(kk,Q1/6, type='l', add=T, col=1, lty=2)
legend('bottomleft', c("N=100", "N=200", "N=400"), col=c(2,3,4), lty=c(1,1,1))

yrange<- range(Gamma1True, Gamma1.100.a0.50) 
plot(kk, Gamma1True, ylim=yrange, main="Gamma0(a=0.50)", type='l', col=1)
points(kk, Gamma1.100.a0.50, type='l', col=2)
points(kk, Gamma1.200.a0.50, type='l', col=3)
points(kk, Gamma1.400.a0.50, type='l', col=4)
matplot(kk,Q1/15, type='l', add=T, col=1, lty=2)
legend('bottomleft', c("N=100", "N=200", "N=400"), col=c(2,3,4), lty=c(1,1,1))

#-----a=1.00
par(mfrow=c(1,2))
yrange<- range(Gamma0True, Gamma0.100.a1.00) 
plot(kk, Gamma0True, ylim=yrange, main="Gamma0(a=1.00)", type='l', col=1)
points(kk, Gamma0.100.a1.00, type='l', col=2)
points(kk, Gamma0.200.a1.00, type='l', col=3)
points(kk, Gamma0.400.a1.00, type='l', col=4)
matplot(kk,Q1/6, type='l', add=T, col=1, lty=2)
legend('bottomleft', c("N=100", "N=200", "N=400"), col=c(2,3,4), lty=c(1,1,1))

yrange<- range(Gamma1True, Gamma1.100.a1.00) 
plot(kk, Gamma1True, ylim=yrange, main="Gamma0(a=1.00)", type='l', col=1)
points(kk, Gamma1.100.a1.00, type='l', col=2)
points(kk, Gamma1.200.a1.00, type='l', col=3)
points(kk, Gamma1.400.a1.00, type='l', col=4)
matplot(kk,Q1/15, type='l', add=T, col=1, lty=2)
legend('bottomleft', c("N=100", "N=200", "N=400"), col=c(2,3,4), lty=c(1,1,1))


#-----a=1.25
par(mfrow=c(1,2))
yrange<- range(Gamma0True, Gamma0.100.a1.25) 
plot(kk, Gamma0True, ylim=yrange, main="Gamma0(a=1.25)", type='l', col=1)
points(kk, Gamma0.100.a1.25, type='l', col=2)
points(kk, Gamma0.200.a1.25, type='l', col=3)
points(kk, Gamma0.400.a1.25, type='l', col=4)
matplot(kk,Q1/6, type='l', add=T, col=1, lty=2)
legend('bottomleft', c("N=100", "N=200", "N=400"), col=c(2,3,4), lty=c(1,1,1))

yrange<- range(Gamma1True, Gamma1.100.a1.25) 
plot(kk, Gamma1True, ylim=yrange, main="Gamma0(a=1.25)", type='l', col=1)
points(kk, Gamma1.100.a1.25, type='l', col=2)
points(kk, Gamma1.200.a1.25, type='l', col=3)
points(kk, Gamma1.400.a1.25, type='l', col=4)
matplot(kk,Q1/15, type='l', add=T, col=1, lty=2)
legend('bottomleft', c("N=100", "N=200", "N=400"), col=c(2,3,4), lty=c(1,1,1))

#-----a=1.50
par(mfrow=c(1,2))
yrange<- range(Gamma0True, Gamma0.100.a1.50) 
plot(kk, Gamma0True, ylim=yrange, main="Gamma0(a=1.50)", type='l', col=1)
points(kk, Gamma0.100.a1.50, type='l', col=2)
points(kk, Gamma0.200.a1.50, type='l', col=3)
points(kk, Gamma0.400.a1.50, type='l', col=4)
matplot(kk,Q1/6, type='l', add=T, col=1, lty=2)
legend('bottomleft', c("N=100", "N=200", "N=400"), col=c(2,3,4), lty=c(1,1,1))

yrange<- range(Gamma1True, Gamma1.100.a1.50) 
plot(kk, Gamma1True, ylim=yrange, main="Gamma0(a=1.50)", type='l', col=1)
points(kk, Gamma1.100.a1.50, type='l', col=2)
points(kk, Gamma1.200.a1.50, type='l', col=3)
points(kk, Gamma1.400.a1.50, type='l', col=4)
matplot(kk,Q1/15, type='l', add=T, col=1, lty=2)
legend('bottomleft', c("N=100", "N=200", "N=400"), col=c(2,3,4), lty=c(1,1,1))


#-----a=1.75
par(mfrow=c(1,2))
yrange<- range(Gamma0True, Gamma0.100.a1.75) 
plot(kk, Gamma0True, ylim=yrange, main="Gamma0(a=1.75)", type='l', col=1)
points(kk, Gamma0.100.a1.75, type='l', col=2)
points(kk, Gamma0.200.a1.75, type='l', col=3)
points(kk, Gamma0.400.a1.75, type='l', col=4)
matplot(kk,Q1/6, type='l', add=T, col=1, lty=2)
legend('bottomleft', c("N=100", "N=200", "N=400"), col=c(2,3,4), lty=c(1,1,1))

yrange<- range(Gamma1True, Gamma1.100.a1.75) 
plot(kk, Gamma1True, ylim=yrange, main="Gamma0(a=1.75)", type='l', col=1)
points(kk, Gamma1.100.a1.75, type='l', col=2)
points(kk, Gamma1.200.a1.75, type='l', col=3)
points(kk, Gamma1.400.a1.75, type='l', col=4)
matplot(kk,Q1/15, type='l', add=T, col=1, lty=2)
legend('bottomleft', c("N=100", "N=200", "N=400"), col=c(2,3,4), lty=c(1,1,1))

#-----a=2.00
par(mfrow=c(1,2))
yrange<- range(Gamma0True, Gamma0.100.a2.00) 
plot(kk, Gamma0True, ylim=yrange, main="Gamma0(a=2.00)", type='l', col=1)
points(kk, Gamma0.100.a2.00, type='l', col=2)
points(kk, Gamma0.200.a2.00, type='l', col=3)
points(kk, Gamma0.400.a2.00, type='l', col=4)
matplot(kk,Q1/6, type='l', add=T, col=1, lty=2)
legend('bottomleft', c("N=100", "N=200", "N=400"), col=c(2,3,4), lty=c(1,1,1))

yrange<- range(Gamma1True, Gamma1.100.a2.00) 
plot(kk, Gamma1True, ylim=yrange, main="Gamma0(a=2.00)", type='l', col=1)
points(kk, Gamma1.100.a2.00, type='l', col=2)
points(kk, Gamma1.200.a2.00, type='l', col=3)
points(kk, Gamma1.400.a2.00, type='l', col=4)
matplot(kk,Q1/15, type='l', add=T, col=1, lty=2)
legend('bottomleft', c("N=100", "N=200", "N=400"), col=c(2,3,4), lty=c(1,1,1))







